Bug 491566 - (powwow) Review Request: powwow - A console MUD client
Review Request: powwow - A console MUD client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-22 19:56 EDT by Kalev Lember
Modified: 2011-01-18 01:45 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.2.15-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 00:07:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
t.sailer: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2009-03-22 19:56:50 EDT
Spec URL: http://www.smartlink.ee/~kalev/powwow.spec
SRPM URL: http://www.smartlink.ee/~kalev/powwow-1.2.13-1.fc11.src.rpm
Description:
Powwow is a powerful console MUD client that supports triggers, aliases,
multiple connections, and more. It is primarily designed for DikuMUDs, but
nothing prevents its use for other types of MUDs. This client is also
extensible through a plugin interface.

This is my first package and I need a sponsor.
Comment 1 Kalev Lember 2009-03-22 20:01:48 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1253436
Comment 2 Kalev Lember 2009-03-25 14:55:17 EDT
A few fixes to the package.

Spec URL: http://www.smartlink.ee/~kalev/powwow.spec
SRPM URL: http://www.smartlink.ee/~kalev/powwow-1.2.13-2.fc11.src.rpm

* Wed Mar 25 2009 Kalev Lember <kalev@smartlink.ee> - 1.2.13-2
- Fix the package to own all the directories it creates.
- Move development-related docs to devel subpackage.
Comment 3 Kalev Lember 2009-04-15 11:45:28 EDT
Removing FE-NEEDSPONSOR, as I am now sponsored by Richard W.M. Jones.
Comment 4 Kalev Lember 2009-04-15 15:37:02 EDT
Spec URL: http://www.smartlink.ee/~kalev/powwow.spec
SRPM URL: http://www.smartlink.ee/~kalev/powwow-1.2.14-1.fc11.src.rpm

* Wed Apr 15 2009 Kalev Lember <kalev@smartlink.ee> - 1.2.14-1
- Update to powwow 1.2.14.
Comment 5 Kalev Lember 2009-04-16 10:27:56 EDT
Spec URL: http://www.smartlink.ee/~kalev/powwow.spec
SRPM URL: http://www.smartlink.ee/~kalev/powwow-1.2.14-2.fc11.src.rpm

* Thu Apr 16 2009 Kalev Lember <kalev@smartlink.ee> - 1.2.14-2
- Remove COPYING from %%doc, because it is needed at runtime.
Comment 6 Thomas Sailer 2009-04-17 09:45:58 EDT
Rpmlint is silent:

$ rpmlint powwow.spec powwow-1.2.14-2.fc11.src.rpm powwow-1.2.14-2.fc12.x86_64.rpm powwow-debuginfo-1.2.14-2.fc12.x86_64.rpm powwow-devel-1.2.14-2.fc12.x86_64.rpm
4 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 7 Thomas Sailer 2009-04-17 10:03:13 EDT
Fedora review powwow-1.2.14-2.fc11.src.rpm 2008-04-17

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1304042

+ OK
! needs attention

+ rpmlint output
+ Package is named according to Fedora Package Naming Guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora packaging guidelines
+ License meets guidelines and is acceptable to Fedora
  GPLv2+
+ License matches the actual package license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
5c1d600ca8e577dc620c1c15c01cfdf5  ../SOURCES/powwow-1.2.14.tar.gz
5c1d600ca8e577dc620c1c15c01cfdf5  powwow-1.2.14.tar.gz

n/a Package builds in mock
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
+ Header files should be in -devel
n/a Static libraries should be in -static
n/a Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8

Now some general comments:
- Filenames like "muc", "follow", and "movie_play" seem to be fairly generic and thus prone to conflicts in the future; they do not seem to conflict now
- follow is described by the accompanying documentation as mainly a debugging aid - should this really be packaged, in the main package?
- what is the use case for the -devel package? It contains only header files, no actual lib
Comment 8 Kalev Lember 2009-04-17 13:48:21 EDT
Let me first talk to upstream about possible name clashes.

Right now I think "follow" and "catrw" should be killed from this package and I'd rename the remaining questionable executables as follows:

muc         -> muc-play
movie_play  -> powmovie-play
movie2ascii -> powmovie2ascii


> - what is the use case for the -devel package? It contains only header files,
> no actual lib  

powwow-devel contains headers that can be used to develop plugins for powwow.
Comment 9 Kalev Lember 2009-04-20 16:58:22 EDT
I talked to upstream powwow maintainer and he agreed to remove follow and catrw from "make install" target and to perform the following renames:
muc         -> powwow-muc
movie_play  -> powwow-movieplay
movie2ascii -> powwow-movie2ascii

Spec URL: http://www.smartlink.ee/~kalev/powwow.spec
SRPM URL: http://www.smartlink.ee/~kalev/powwow-1.2.14-3.fc11.src.rpm

* Mon Apr 20 2009 Kalev Lember <kalev@smartlink.ee> - 1.2.14-3
- Rework powwow-devel description.
- Rename movie_play and muc, remove catrw and follow to avoid
  possible name clashes and to reflect upstream changes.
Comment 10 Thomas Sailer 2009-04-20 17:40:59 EDT
APPROVED by sailer
Comment 11 Kalev Lember 2009-04-20 18:02:46 EDT
Thanks for the review, Thomas.

Could you please set the fedora-review flag too?
Comment 12 Kalev Lember 2009-04-20 18:19:53 EDT
New Package CVS Request
=======================
Package Name: powwow
Short Description: A console MUD client
Owners: kalev
Branches: F-9 F-10 F-11
InitialCC:
Comment 13 Kevin Fenzi 2009-04-21 15:50:02 EDT
cvs done.
Comment 14 Fedora Update System 2009-04-21 17:04:23 EDT
powwow-1.2.14-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/powwow-1.2.14-3.fc10
Comment 15 Fedora Update System 2009-04-21 17:04:29 EDT
powwow-1.2.14-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/powwow-1.2.14-3.fc9
Comment 16 Fedora Update System 2009-04-21 17:04:34 EDT
powwow-1.2.14-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/powwow-1.2.14-3.fc11
Comment 17 Fedora Update System 2009-05-01 19:07:46 EDT
powwow-1.2.15-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/powwow-1.2.15-1.fc10
Comment 18 Fedora Update System 2009-05-01 19:07:51 EDT
powwow-1.2.15-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/powwow-1.2.15-1.fc11
Comment 19 Fedora Update System 2009-05-01 19:07:56 EDT
powwow-1.2.15-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/powwow-1.2.15-1.fc9
Comment 20 Fedora Update System 2009-05-02 12:27:31 EDT
powwow-1.2.15-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update powwow'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4103
Comment 21 Fedora Update System 2009-05-02 12:35:15 EDT
powwow-1.2.15-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update powwow'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4157
Comment 22 Fedora Update System 2009-05-08 23:54:25 EDT
powwow-1.2.15-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update powwow'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4310
Comment 23 Fedora Update System 2009-05-09 00:07:20 EDT
powwow-1.2.15-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2009-05-09 00:16:13 EDT
powwow-1.2.15-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2009-05-15 19:29:52 EDT
powwow-1.2.15-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Kalev Lember 2011-01-16 16:37:31 EST
Package Change Request
======================
Package Name: powwow
New Branches: el6
Owners: kalev
Comment 27 Jens Petersen 2011-01-18 01:45:37 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.